Leaves
List a person's leaves
A list of leave-of-absence records belonging to the given person.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
person_id*string
UUID of the person whose leaves to list.
Query Parameters
include?string
Comma-separated list of relationships to include. Allowed values are resource-specific; consult the operation for the allowlist.
sort?string
Comma-separated list of attributes to sort by. Prefix with - for
descending order (-created_at,family_name).
filter?
Keys take the form filter[<attribute>_<predicate>]=<value>, repeatable per query.
Common predicates by attribute type:
- String / text / uuid:
eq,not_eq,cont,not_cont,matches,start,end,present,blank,null,not_null,in,not_in - Integer / decimal / date / datetime:
eq,not_eq,gt,gteq,lt,lteq,present,blank,null,not_null,in,not_in - Boolean:
eq,not_eq,present,blank,null,not_null
Example: ?filter[status_eq]=active
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/people/497f6eca-6276-4993-bfeb-53cbbbba6f08/leaves"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "leaves", "attributes": { "starts_at": "2019-08-24T14:15:22Z", "ends_at": "2019-08-24T14:15:22Z", "type": "string", "type_external_id": "string", "active": true, "status": "string" }, "relationships": { "person": { "links": { "self": "../dictionary", "related": "../dictionary" }, "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "people" } } } } ], "meta": { "page": { "total_items": 0, "total_pages": 0, "number": 0, "size": 0 } }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}